# Poco

# class Base64EncoderBuf

Library: Foundation
Package: Streams
Header: Poco/Base64Encoder.h

## Description

This streambuf base64-encodes all data written to it and forwards it to a connected ostream.

Note: The characters are directly written to the ostream's streambuf, thus bypassing the ostream. The ostream's state is therefore not updated to match the buffer's state.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Member Summary

Member Functions: close, getLineLength, setLineLength

## Constructors

### Base64EncoderBuf

Base64EncoderBuf(
std::ostream & ostr,
int options = 0
);

## Destructor

### ~Base64EncoderBuf

~Base64EncoderBuf();

## Member Functions

### close

int close();

Closes the stream buffer.

### getLineLength

int getLineLength() const;

Returns the currently set line length.

### setLineLength

void setLineLength(
int lineLength
);

Specify the line length.

After the given number of characters have been written, a newline character will be written.

Specify 0 for an unlimited line length.